Skip to main content
`Ctrl`+`K`

# EPSSetWorkVecs

Sets a number of work vectors into an `EPS` object.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetWorkVecs(EPS eps,PetscInt nw)

Collective

## Input Parameters

- eps - the linear eigensolver context

- nw - number of work vectors to allocate

## Developer Note

This is `SLEPC_EXTERN` because it may be required by user plugin `EPS` implementations.

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetUp()`

## Level

developer

## Location

src/eps/interface/epsdefault.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages